//
// Written by Igor Tolmachev, IT Samples
//        mailto:support@itsamples.com
//
// Copyright (c) 2009.
//
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name and all copyright 
// notices remains intact. If the source code in this file is used in 
// any  commercial application then a statement along the lines of 
// "Portions copyright (c) Igor Tolmachev, 2009" must be included in 
// the startup banner, "About" box or printed documentation. An email 
// letting me know that you are using it would be nice as well. That's 
// not much to ask considering the amount of work that went into this.
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability for any damage/loss of business that
// this product may cause.
//
// Expect bugs!
// 
// Please use and enjoy, and let me know of any bugs/mods/improvements 
// that you have found/implemented and I will fix/incorporate them into 
// this file. 

// TotalPassword.h: interface for the CTotalPassword class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TOTALPASSWORD_H__46D4173F_4BBA_4697_863F_4FEA74648580__INCLUDED_)
#define AFX_TOTALPASSWORD_H__46D4173F_4BBA_4697_863F_4FEA74648580__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CTotalPassword  
{
public:
	CTotalPassword();
	virtual ~CTotalPassword();

	TCHAR* GetPassword(TCHAR* pszPassword);

protected:
	UINT m_nSeed;
	TCHAR* m_pszPassword;

protected:
	int MakeRandom(UINT nMax);
	int Hex2Byte(BYTE* pPassword);
	UINT Roll(UINT n1, UINT n2);
	BOOL Decrypt(BYTE* pPassword);
};

#endif // !defined(AFX_TOTALPASSWORD_H__46D4173F_4BBA_4697_863F_4FEA74648580__INCLUDED_)
